USE [AIC13]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF_Customers_status]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Customers] DROP CONSTRAINT [DF_Customers_status]
END

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF_Customers_phase]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Customers] DROP CONSTRAINT [DF_Customers_phase]
END

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF_Customers_classifier]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[Customers] DROP CONSTRAINT [DF_Customers_classifier]
END

GO

USE [AIC13]
GO

/****** Object:  Table [dbo].[Customers]    Script Date: 01/21/2014 21:39:33 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Customers]') AND type in (N'U'))
DROP TABLE [dbo].[Customers]
GO

USE [AIC13]
GO

/****** Object:  Table [dbo].[Customers]    Script Date: 01/21/2014 21:39:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[Customers](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[company_name] [varchar](255) NULL,
	[email_address] [varchar](255) NULL,
	[keyword] [varchar](255) NULL,
	[status] [int] NOT NULL,
	[stage] [int] NOT NULL,
	[classifier] [int] NOT NULL,
	[htmlreport] [varbinary](max) NULL,
	[limit] [int] NULL,
 CONSTRAINT [PK__Customer__3213E83F07F6335A] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[Customers] ADD  CONSTRAINT [DF_Customers_status]  DEFAULT ((1)) FOR [status]
GO

ALTER TABLE [dbo].[Customers] ADD  CONSTRAINT [DF_Customers_phase]  DEFAULT ((1)) FOR [stage]
GO

ALTER TABLE [dbo].[Customers] ADD  CONSTRAINT [DF_Customers_classifier]  DEFAULT ((1)) FOR [classifier]
GO










USE [AIC13]
GO

IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_StatusTweet_Customers]') AND parent_object_id = OBJECT_ID(N'[dbo].[StatusTweet]'))
ALTER TABLE [dbo].[StatusTweet] DROP CONSTRAINT [FK_StatusTweet_Customers]
GO

USE [AIC13]
GO

/****** Object:  Table [dbo].[StatusTweet]    Script Date: 11/20/2013 22:44:12 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[StatusTweet]') AND type in (N'U'))
DROP TABLE [dbo].[StatusTweet]
GO

USE [AIC13]
GO

/****** Object:  Table [dbo].[StatusTweet]    Script Date: 11/20/2013 22:44:13 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[StatusTweet](
	[id] [bigint] NOT NULL,
	[id_str] [varchar](255) NULL,
	[created_at] [datetime] NULL,
	[text] [varchar](400) NULL,
	[source] [varchar](400) NULL,
	[truncated] [bit] NULL,
	[in_reply_to_status_id] [bigint] NULL,
	[in_reply_to_status_id_str] [varchar](255) NULL,
	[in_reply_to_user_id] [bigint] NULL,
	[in_reply_to_user_id_str] [varchar](255) NULL,
	[in_reply_to_screen_name] [varchar](255) NULL,
	[user_id] [bigint] NULL,
	[user_id_str] [varchar](255) NULL,
	[user_name] [varchar](255) NULL,
	[user_screen_name] [varchar](255) NULL,
	[user_location] [varchar](255) NULL,
	[user_followerscount] [bigint] NULL,
	[user_friendscount] [bigint] NULL,
	[user_language] [varchar](10) NULL,
	[retweet_count] [bigint] NULL,
	[filter_level] [varchar](50) NULL,
	[lang] [varchar](10) NULL,
	[customer_id] [bigint] NOT NULL,
	[text_processed] [varchar](4000) NULL,
	[json] [varchar](8000) NULL,
	[classification] [decimal](5, 4) NULL,
 CONSTRAINT [PK__StatusTw__3213E83F0BC6C43E] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[StatusTweet]  WITH CHECK ADD  CONSTRAINT [FK_StatusTweet_Customers] FOREIGN KEY([customer_id])
REFERENCES [dbo].[Customers] ([id])
ON UPDATE CASCADE
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[StatusTweet] CHECK CONSTRAINT [FK_StatusTweet_Customers]
GO









USE [AIC13]
GO

/****** Object:  Table [dbo].[TwitterDataset]    Script Date: 11/20/2013 22:44:29 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[TwitterDataset]') AND type in (N'U'))
DROP TABLE [dbo].[TwitterDataset]
GO

USE [AIC13]
GO

/****** Object:  Table [dbo].[TwitterDataset]    Script Date: 11/20/2013 22:44:29 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[TwitterDataset](
	[ItemID] [bigint] NOT NULL,
	[Sentiment] [numeric](18, 2) NULL,
	[SentimentSource] [varchar](50) NULL,
	[SentimentText] [varchar](800) NULL,
 CONSTRAINT [PK_TwitterDataset] PRIMARY KEY CLUSTERED 
(
	[ItemID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO


